STOFFListener Class Reference documentation

STOFFListener Class Referenceabstract

This class contains a virtual interface to all listener. More...

`#include <STOFFListener.hxx>`

Inheritance diagram for STOFFListener:

## Public Types
enum | Type { Graphic , Presentation , Spreadsheet , Text }
| the listener type More...
enum | BreakType { PageBreak =0 , SoftPageBreak , ColumnBreak }
| the different break type More...

## Public Member Functions
virtual | ~STOFFListener ()
| destructor
virtual Type | getType () const =0
| returns the listener type
virtual bool | canWriteText () const =0
| returns true if we can add text data
STOFFListManagerPtr | getListManager () const
| return the list manager
virtual void | setDocumentLanguage (std::string locale)=0
| sets the documents language
virtual void | setDocumentMetaData (const librevenge::RVNGPropertyList &list)=0
| sets the document meta data
virtual void | startDocument ()=0
| starts the document
virtual bool | isDocumentStarted () const =0
| returns true if a document is opened
virtual void | endDocument (bool sendDelayedSubDoc=true)=0
| ends the document
virtual bool | isPageSpanOpened () const =0
| returns true if a page is opened
virtual STOFFPageSpan const & | getPageSpan ()=0
| returns the current page span
virtual bool | openHeader (librevenge::RVNGPropertyList const &extras)=0
| open a header (interaction with STOFFPageSpan which fills the parameters for openHeader)
virtual bool | openFooter (librevenge::RVNGPropertyList const &extras)=0
| open a footer (interaction with STOFFPageSpan which fills the parameters for openFooter)
virtual bool | closeHeader ()=0
| close a header
virtual bool | closeFooter ()=0
| close a footer
virtual bool | insertHeaderRegion (STOFFSubDocumentPtr subDocument, librevenge::RVNGString const &which)=0
| insert a header
virtual bool | insertFooterRegion (STOFFSubDocumentPtr subDocument, librevenge::RVNGString const &which)=0
| insert a footer
virtual bool | isHeaderFooterOpened () const =0
| returns true if the header/footer is open
virtual void | insertChar (uint8_t character)=0
| adds a basic character, ..
virtual void | insertUnicode (uint32_t character)=0
| adds an unicode character.
void | insertUnicodeList (std::vector< uint32_t > const &list)
| try to insert a list of unicode character
virtual void | insertUnicodeString (librevenge::RVNGString const &str)=0
| adds a unicode string
virtual void | insertTab ()=0
| adds a tab
virtual void | insertEOL (bool softBreak=false)=0
| adds an end of line ( by default an hard one)
virtual void | setFont (STOFFFont const &font)=0
| sets the font
virtual STOFFFont const & | getFont () const =0
| returns the actual font
virtual bool | isParagraphOpened () const =0
| returns true if a paragraph or a list is opened
virtual void | setParagraph (STOFFParagraph const &paragraph)=0
| sets the paragraph
virtual STOFFParagraph const & | getParagraph () const =0
| returns the actual paragraph
virtual void | defineStyle (STOFFFont const &style)=0
| defines a font styles
virtual bool | isFontStyleDefined (librevenge::RVNGString const &name) const =0
| check if a font style with a display name is already defined
virtual void | defineStyle (STOFFGraphicStyle const &style)=0
| defines a graphic styles
virtual bool | isGraphicStyleDefined (librevenge::RVNGString const &name) const =0
| check if a graphic style with a display name is already defined
virtual void | defineStyle (STOFFParagraph const &style)=0
| defines a paragraph styles
virtual bool | isParagraphStyleDefined (librevenge::RVNGString const &name) const =0
| check if a paragraph style with a display name is already defined
virtual void | insertField (STOFFField const &field)=0
| adds a field type
virtual void | openLink (STOFFLink const &link)=0
| open a link
virtual void | closeLink ()=0
| close a link
virtual void | openTable (STOFFTable const &table)=0
| open a table
virtual void | closeTable ()=0
| closes this table
virtual void | openTableRow (float h, librevenge::RVNGUnit unit, bool headerRow=false)=0
| open a row with given height ( if h < 0.0, set min-row-height = -h )
virtual void | closeTableRow ()=0
| closes this row
virtual void | openTableCell (STOFFCell const &cell)=0
| open a cell
virtual void | closeTableCell ()=0
| close a cell
virtual void | addCoveredTableCell (STOFFVec2i const &pos)=0
| add covered cell
virtual void | addEmptyTableCell (STOFFVec2i const &pos, STOFFVec2i span=STOFFVec2i(1, 1))=0
| add empty cell
virtual bool | canOpenSectionAddBreak () const =0
| returns true if we can add open a section, add page break, ...
virtual bool | isSectionOpened () const =0
| returns true if a section is opened
virtual STOFFSection const & | getSection () const =0
| returns the actual section
virtual bool | openSection (STOFFSection const &section)=0
| open a section if possible
virtual bool | closeSection ()=0
| close a section
virtual void | insertBreak (BreakType breakType)=0
| inserts a break type: ColumBreak, PageBreak, ..
virtual void | insertNote (STOFFNote const &note, STOFFSubDocumentPtr &subDocument)=0
| insert a note
virtual void | insertComment (STOFFSubDocumentPtr &subDocument, librevenge::RVNGString const &creator="", librevenge::RVNGString const &date="")=0
| adds comment
virtual void | insertEquation (STOFFFrameStyle const &frame, librevenge::RVNGString const &equation, STOFFGraphicStyle const &style=STOFFGraphicStyle())=0
| adds a equation given a position
virtual void | insertPicture (STOFFFrameStyle const &frame, STOFFEmbeddedObject const &picture, STOFFGraphicStyle const &style=STOFFGraphicStyle())=0
| adds a picture with various representationin given position.
virtual void | insertShape (STOFFFrameStyle const &frame, STOFFGraphicShape const &shape, STOFFGraphicStyle const &style)=0
| adds a shape picture in given position
virtual void | insertTextBox (STOFFFrameStyle const &frame, STOFFSubDocumentPtr subDocument, STOFFGraphicStyle const &frameStyle=STOFFGraphicStyle())=0
| adds a textbox in given position
virtual bool | openFrame (STOFFFrameStyle const &frame, STOFFGraphicStyle const &style=STOFFGraphicStyle())=0
| low level: tries to open a frame
virtual void | closeFrame ()=0
| low level: tries to close the last opened frame
virtual bool | openGroup (STOFFFrameStyle const &frame)=0
| low level: tries to open a group
virtual void | closeGroup ()=0
| low level: tries to close the last opened group
virtual void | handleSubDocument (STOFFSubDocumentPtr subDocument, libstoff::SubDocumentType subDocumentType)=0
| low level: function called to add a subdocument
virtual bool | isSubDocumentOpened (libstoff::SubDocumentType &subdocType) const =0
| returns true if a subdocument is open

## Protected Member Functions
| STOFFListener (STOFFListManagerPtr &listManager)
| constructor

## Protected Attributes
STOFFListManagerPtr | m_listManager
| the list manager

## Detailed Description

This class contains a virtual interface to all listener.

## Member Enumeration Documentation

## ◆ BreakType

enum STOFFListener::BreakType

the different break type

Enumerator
PageBreak |
SoftPageBreak |
ColumnBreak |

## ◆ Type

enum STOFFListener::Type

the listener type

Enumerator
Graphic |
Presentation |
Spreadsheet |
Text |

## Constructor & Destructor Documentation

## ◆ ~STOFFListener()

STOFFListener::~STOFFListener | ( |  | ) |
| virtual

destructor

## ◆ STOFFListener()

STOFFListener::STOFFListener | ( | STOFFListManagerPtr & | listManager | ) |
| explicitprotected

constructor

Referenced by STOFFGraphicListener::STOFFGraphicListener(), STOFFGraphicListener::STOFFGraphicListener(), STOFFSpreadsheetListener::STOFFSpreadsheetListener(), and STOFFTextListener::STOFFTextListener().

## Member Function Documentation

## ◆ addCoveredTableCell()

virtual void STOFFListener::addCoveredTableCell | ( | STOFFVec2i const & | pos | ) |
| pure virtual

add covered cell

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ addEmptyTableCell()

virtual void STOFFListener::addEmptyTableCell | ( | STOFFVec2i const & | pos,
|  | STOFFVec2i | span = STOFFVec2i(1, 1) )
| pure virtual

add empty cell

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ canOpenSectionAddBreak()

virtual bool STOFFListener::canOpenSectionAddBreak | ( |  | ) | const
| pure virtual

returns true if we can add open a section, add page break, ...

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ canWriteText()

virtual bool STOFFListener::canWriteText | ( |  | ) | const
| pure virtual

returns true if we can add text data

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by insertUnicodeList().

## ◆ closeFooter()

virtual bool STOFFListener::closeFooter | ( |  | ) |
| pure virtual

close a footer

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by STOFFPageSpan::sendHeaderFooters().

## ◆ closeFrame()

virtual void STOFFListener::closeFrame | ( |  | ) |
| pure virtual

low level: tries to close the last opened frame

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ closeGroup()

virtual void STOFFListener::closeGroup | ( |  | ) |
| pure virtual

low level: tries to close the last opened group

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ closeHeader()

virtual bool STOFFListener::closeHeader | ( |  | ) |
| pure virtual

close a header

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by STOFFPageSpan::sendHeaderFooters().

## ◆ closeLink()

virtual void STOFFListener::closeLink | ( |  | ) |
| pure virtual

close a link

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ closeSection()

virtual bool STOFFListener::closeSection | ( |  | ) |
| pure virtual

close a section

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ closeTable()

virtual void STOFFListener::closeTable | ( |  | ) |
| pure virtual

closes this table

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ closeTableCell()

virtual void STOFFListener::closeTableCell | ( |  | ) |
| pure virtual

close a cell

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ closeTableRow()

virtual void STOFFListener::closeTableRow | ( |  | ) |
| pure virtual

closes this row

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ defineStyle() [1/3]

virtual void STOFFListener::defineStyle | ( | STOFFFont const & | style | ) |
| pure virtual

defines a font styles

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ defineStyle() [2/3]

virtual void STOFFListener::defineStyle | ( | STOFFGraphicStyle const & | style | ) |
| pure virtual

defines a graphic styles

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ defineStyle() [3/3]

virtual void STOFFListener::defineStyle | ( | STOFFParagraph const & | style | ) |
| pure virtual

defines a paragraph styles

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ endDocument()

virtual void STOFFListener::endDocument | ( | bool | sendDelayedSubDoc = true | ) |
| pure virtual

ends the document

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ getFont()

virtual STOFFFont const & STOFFListener::getFont | ( |  | ) | const
| pure virtual

returns the actual font

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ getListManager()

STOFFListManagerPtr STOFFListener::getListManager | ( |  | ) | const
| inline

return the list manager

## ◆ getPageSpan()

virtual STOFFPageSpan const & STOFFListener::getPageSpan | ( |  | ) |
| pure virtual

returns the current page span

Note
  this forces the opening of a new page if no page is opened.

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ getParagraph()

virtual STOFFParagraph const & STOFFListener::getParagraph | ( |  | ) | const
| pure virtual

returns the actual paragraph

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ getSection()

virtual STOFFSection const & STOFFListener::getSection | ( |  | ) | const
| pure virtual

returns the actual section

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ getType()

virtual Type STOFFListener::getType | ( |  | ) | const
| pure virtual

returns the listener type

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ handleSubDocument()

virtual void STOFFListener::handleSubDocument | ( | STOFFSubDocumentPtr | subDocument,
|  | libstoff::SubDocumentType | subDocumentType )
| pure virtual

low level: function called to add a subdocument

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertBreak()

virtual void STOFFListener::insertBreak | ( | BreakType | breakType | ) |
| pure virtual

inserts a break type: ColumBreak, PageBreak, ..

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertChar()

virtual void STOFFListener::insertChar | ( | uint8_t | character | ) |
| pure virtual

adds a basic character, ..

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertComment()

virtual void STOFFListener::insertComment | ( | STOFFSubDocumentPtr & | subDocument,
|  | librevenge::RVNGString const & | creator = "",
|  | librevenge::RVNGString const & | date = "" )
| pure virtual

adds comment

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertEOL()

virtual void STOFFListener::insertEOL | ( | bool | softBreak = false | ) |
| pure virtual

adds an end of line ( by default an hard one)

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by insertUnicodeList().

## ◆ insertEquation()

virtual void STOFFListener::insertEquation | ( | STOFFFrameStyle const & | frame,
|  | librevenge::RVNGString const & | equation,
|  | STOFFGraphicStyle const & | style = STOFFGraphicStyle() )
| pure virtual

adds a equation given a position

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertField()

virtual void STOFFListener::insertField | ( | STOFFField const & | field | ) |
| pure virtual

adds a field type

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertFooterRegion()

virtual bool STOFFListener::insertFooterRegion | ( | STOFFSubDocumentPtr | subDocument,
|  | librevenge::RVNGString const & | which )
| pure virtual

insert a footer

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by STOFFHeaderFooter::send().

## ◆ insertHeaderRegion()

virtual bool STOFFListener::insertHeaderRegion | ( | STOFFSubDocumentPtr | subDocument,
|  | librevenge::RVNGString const & | which )
| pure virtual

insert a header

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by STOFFHeaderFooter::send().

## ◆ insertNote()

virtual void STOFFListener::insertNote | ( | STOFFNote const & | note,
|  | STOFFSubDocumentPtr & | subDocument )
| pure virtual

insert a note

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertPicture()

virtual void STOFFListener::insertPicture | ( | STOFFFrameStyle const & | frame,
|  | STOFFEmbeddedObject const & | picture,
|  | STOFFGraphicStyle const & | style = STOFFGraphicStyle() )
| pure virtual

adds a picture with various representationin given position.

Note
  by default only send the first picture

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertShape()

virtual void STOFFListener::insertShape | ( | STOFFFrameStyle const & | frame,
|  | STOFFGraphicShape const & | shape,
|  | STOFFGraphicStyle const & | style )
| pure virtual

adds a shape picture in given position

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ insertTab()

virtual void STOFFListener::insertTab | ( |  | ) |
| pure virtual

adds a tab

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by insertUnicodeList().

## ◆ insertTextBox()

virtual void STOFFListener::insertTextBox | ( | STOFFFrameStyle const & | frame,
|  | STOFFSubDocumentPtr | subDocument,
|  | STOFFGraphicStyle const & | frameStyle = STOFFGraphicStyle() )
| pure virtual

adds a textbox in given position

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by insertTextBox().

## ◆ insertUnicode()

virtual void STOFFListener::insertUnicode | ( | uint32_t | character | ) |
| pure virtual

adds an unicode character.

By convention if character=0xfffd(undef), no character is added

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by insertUnicodeList().

## ◆ insertUnicodeList()

void STOFFListener::insertUnicodeList | ( | std::vector< uint32_t > const & | list | ) |
| inline

try to insert a list of unicode character

## ◆ insertUnicodeString()

virtual void STOFFListener::insertUnicodeString | ( | librevenge::RVNGString const & | str | ) |
| pure virtual

adds a unicode string

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isDocumentStarted()

virtual bool STOFFListener::isDocumentStarted | ( |  | ) | const
| pure virtual

returns true if a document is opened

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isFontStyleDefined()

virtual bool STOFFListener::isFontStyleDefined | ( | librevenge::RVNGString const & | name | ) | const
| pure virtual

check if a font style with a display name is already defined

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isGraphicStyleDefined()

virtual bool STOFFListener::isGraphicStyleDefined | ( | librevenge::RVNGString const & | name | ) | const
| pure virtual

check if a graphic style with a display name is already defined

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isHeaderFooterOpened()

virtual bool STOFFListener::isHeaderFooterOpened | ( |  | ) | const
| pure virtual

returns true if the header/footer is open

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isPageSpanOpened()

virtual bool STOFFListener::isPageSpanOpened | ( |  | ) | const
| pure virtual

returns true if a page is opened

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isParagraphOpened()

virtual bool STOFFListener::isParagraphOpened | ( |  | ) | const
| pure virtual

returns true if a paragraph or a list is opened

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isParagraphStyleDefined()

virtual bool STOFFListener::isParagraphStyleDefined | ( | librevenge::RVNGString const & | name | ) | const
| pure virtual

check if a paragraph style with a display name is already defined

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isSectionOpened()

virtual bool STOFFListener::isSectionOpened | ( |  | ) | const
| pure virtual

returns true if a section is opened

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ isSubDocumentOpened()

virtual bool STOFFListener::isSubDocumentOpened | ( | libstoff::SubDocumentType & | subdocType | ) | const
| pure virtual

returns true if a subdocument is open

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ openFooter()

virtual bool STOFFListener::openFooter | ( | librevenge::RVNGPropertyList const & | extras | ) |
| pure virtual

open a footer (interaction with STOFFPageSpan which fills the parameters for openFooter)

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by STOFFPageSpan::sendHeaderFooters().

## ◆ openFrame()

virtual bool STOFFListener::openFrame | ( | STOFFFrameStyle const & | frame,
|  | STOFFGraphicStyle const & | style = STOFFGraphicStyle() )
| pure virtual

low level: tries to open a frame

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ openGroup()

virtual bool STOFFListener::openGroup | ( | STOFFFrameStyle const & | frame | ) |
| pure virtual

low level: tries to open a group

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ openHeader()

virtual bool STOFFListener::openHeader | ( | librevenge::RVNGPropertyList const & | extras | ) |
| pure virtual

open a header (interaction with STOFFPageSpan which fills the parameters for openHeader)

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

Referenced by STOFFPageSpan::sendHeaderFooters().

## ◆ openLink()

virtual void STOFFListener::openLink | ( | STOFFLink const & | link | ) |
| pure virtual

open a link

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ openSection()

virtual bool STOFFListener::openSection | ( | STOFFSection const & | section | ) |
| pure virtual

open a section if possible

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ openTable()

virtual void STOFFListener::openTable | ( | STOFFTable const & | table | ) |
| pure virtual

open a table

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ openTableCell()

virtual void STOFFListener::openTableCell | ( | STOFFCell const & | cell | ) |
| pure virtual

open a cell

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ openTableRow()

virtual void STOFFListener::openTableRow | ( | float | h,
|  | librevenge::RVNGUnit | unit,
|  | bool | headerRow = false )
| pure virtual

open a row with given height ( if h < 0.0, set min-row-height = -h )

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ setDocumentLanguage()

virtual void STOFFListener::setDocumentLanguage | ( | std::string | locale | ) |
| pure virtual

sets the documents language

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ setDocumentMetaData()

virtual void STOFFListener::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | list | ) |
| pure virtual

sets the document meta data

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ setFont()

virtual void STOFFListener::setFont | ( | STOFFFont const & | font | ) |
| pure virtual

sets the font

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ setParagraph()

virtual void STOFFListener::setParagraph | ( | STOFFParagraph const & | paragraph | ) |
| pure virtual

sets the paragraph

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## ◆ startDocument()

virtual void STOFFListener::startDocument | ( |  | ) |
| pure virtual

starts the document

Implemented in STOFFGraphicListener, STOFFSpreadsheetListener, and STOFFTextListener.

## Member Data Documentation

## ◆ m_listManager

STOFFListManagerPtr STOFFListener::m_listManager
| protected

the list manager

Referenced by STOFFGraphicListener::_changeList(), STOFFSpreadsheetListener::_changeList(), STOFFTextListener::_changeList(), STOFFGraphicListener::_getListId(), STOFFSpreadsheetListener::_getListId(), STOFFTextListener::_getListId(), getListManager(), and STOFFListener().

The documentation for this class was generated from the following files:

- STOFFListener.hxx
- STOFFListener.cxx